/*
 * Copyright 2023 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(packet_header_ofdm_id.h)                                   */
/* BINDTOOL_HEADER_FILE_HASH(941ca632e9aecfbf1a69ea53ae9bfc1b)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/channel_monitoring/packet_header_ofdm_id.h>
#include <gnuradio/digital/packet_header_default.h>
// pydoc.h is automatically generated in the build directory
#include <packet_header_ofdm_id_pydoc.h>

void bind_packet_header_ofdm_id(py::module& m)
{

    using packet_header_ofdm_id = ::gr::channel_monitoring::packet_header_ofdm_id;


    py::class_<packet_header_ofdm_id,
               ::gr::digital::packet_header_default,
               std::shared_ptr<packet_header_ofdm_id>>(
        m, "packet_header_ofdm_id", D(packet_header_ofdm_id))


        .def(py::init(&packet_header_ofdm_id::make),
             py::arg("header_occupied_carriers"),
             py::arg("occupied_carriers"),
             py::arg("n_syms"),
             py::arg("len_tag_key") = "packet_len",
             py::arg("frame_len_tag_key") = "frame_len",
             py::arg("num_tag_key") = "packet_num",
             py::arg("bits_per_header_sym") = 1,
             py::arg("bits_per_payload_sym") = 1,
             py::arg("scramble_header") = false,
             py::arg("tx_id") = 1,
             py::arg("max_allowed_id") = 255,
             py::arg("expected_len") = -1,
             D(packet_header_ofdm_id, make))

        .def("header_formatter",
             &packet_header_ofdm_id::header_formatter,
             py::arg("packet_len"),
             py::arg("out"),
             py::arg("tags"),
             D(packet_header_ofdm_id, header_formatter))


        .def("header_parser",
             &packet_header_ofdm_id::header_parser,
             py::arg("header"),
             py::arg("tags"),
             D(packet_header_ofdm_id, header_parser))


        ;
}
